<script>
var W3CDOM = document.createElement && document.getElementsByTagName;

window.onload = setMaxLength;

function setMaxLength() {
    if (!W3CDOM) return;
    var textareas = document.getElementsByTagName('textarea');
    for (var i=0;i<textareas.length;i++) {
    	var textarea = textareas[i];
    	setMaxLengthItem(textareas[i]);
    }
}
function setMaxLengthItem(textarea){
	if (textarea.getAttribute('maxlength')) {
    var counter = document.createElement('div');
    counter.className = 'counter';
		var counterClone = counter.cloneNode(true);
		counterClone.innerHTML = '<span>0</span>/'+textarea.getAttribute('maxlength');
		textarea.parentNode.insertBefore(counterClone,textarea.nextSibling);
		textarea.relatedElement = counterClone.getElementsByTagName('span')[0];
		textarea.onkeyup = textarea.onchange = checkMaxLength;
		textarea.onkeyup();
	}
}

function checkMaxLength() {
    var maxLength = this.getAttribute('maxlength');
    var currentLength = this.value.length;
    if (currentLength > maxLength)
        this.relatedElement.className = 'toomuch';
    else
        this.relatedElement.className = '';	
    this.relatedElement.firstChild.nodeValue = currentLength;
}

</script>
<% reply_allow = JournalsForMessage.create_by_user? User.current %>
<% if jour && jour.size >0 %>
<% remove_allowed = (User.current.id == jour.first.user_id) %>
<ul class="message-for-user">
<% for journal in jour%>
    <li id='word_li_<%=journal.id.to_s%>' class="outer-message-for-user">
	    <span class="portrait"><%= image_tag(url_to_avatar(journal.user), :class => "avatar") %></span>
	    <span class="body">
            <span class="user"><%= link_to journal.user, user_path(journal.user)%></span>
		<p>
				<%= textilizable journal.notes%>
		</p>
		<span class="font_lighter"> <%= l :label_comment_time %>：&nbsp; <%= format_time journal.created_on %></span>
			<% ids = 'project_respond_form_'+ journal.id.to_s%>
		<span>
			<% if reply_allow %>
			<%= link_to l(:button_reply),'',
                {:focus => 'project_respond', :onclick => "toggleAndSettingWordsVal($('##{ids}'), $('##{ids} textarea'), '#{l(:label_reply_plural)} #{journal.user.name}: '); $('##{ids} textarea') ;return false;"}
             %>
      <% end %>
            <% if @user == User.current || User.current.admin? || journal.user.id == User.current.id %>
				<%= link_to(l(:label_newfeedback_delete), {:controller => 'words', :action => 'destroy', :object_id => journal, :user_id => user},
				:remote => true, :confirm => l(:text_are_you_sure), :method => 'delete', :class => "delete", :title => l(:button_delete))  %>
			<% end %>
		</span>
		</span>
		<div style="clear: both;"></div>
		<div id='<%= ids %>' class="respond-form">
			<% if reply_allow %>
			<%= render :partial => 'words/new_respond', :locals => {:journal => journal, :m_reply_id => journal,:show_name => show_name} %>
			<% end %>
		</div>
		<div style="clear: both;"></div>
		<div>
			<%= render :partial => "words/journal_reply", :locals => {:journal => journal,:show_name => show_name } %>
		</div>
	</li>
	<% end %>
</ul>
<% end %>

